package ast;
public class CLASSDECL extends DECLARATION {
   public EXTENDS extends_;        // Child, either an EXTENDS or an EXTENDSNULL node
   public DECLS fields;         // Child, the list of fields
   public DECLS methods;        // Child, the list of fields

    public CLASSDECL (String name, EXTENDS extends_, DECLS fields, DECLS methods, int position) {
       super(name, position);
       this.extends_ = extends_;
       this.fields = fields;
       this.methods = methods;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<CLASSDECL " + 
                  "ident=\"" + ident + "\" " +
                  "pos=\"" + position + "\">\n";
       s += extends_.toString(indent+1);
       s += fields.toString(indent+1);
       s += methods.toString(indent+1);
       s += blanks(indent) + "</CLASSDECL>\n";
       return s;
   }
}

