package ast;
public class ENUMREF  extends DESIGNATOR {
   public String typeName;       // Input Attribute
   public String idName;         // Input Attribute


    public ENUMREF (String typeName, String idName, int position) {
       super(position);
       this.typeName = typeName;
       this.idName = idName;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<ENUMREF " +
                  "typeName=\"" + typeName + "\" " +
                  "idName=\"" + idName + "\" " +
                  "pos=\"" + 
                  position + "\">\n";
       s += blanks(indent) + "</ENUMREF>\n";
       return s;
   }

}

