package ast;
public class NARROW extends DESIGNATOR {
   public String ident;          // Input Attribute

    public NARROW (String ident, DESIGNATOR next, int position) {
       super(position);
       this.ident = ident;
       this.next = next;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<NARROW " +
                  "ident=\"" + ident + "\" " +
                  "pos=\"" + 
                  position + "\">\n";
       s += next.toString(indent+1);
       s += blanks(indent) + "</NARROW>\n";
       return s;
   }
}
