package tree;
public class Branch extends Control {
   public int op;            // int
   public sym.TypeSy type;          // Symbol table reference
   public Expression left;          // Child
   public Expression right;         // Child

   public Branch(int op, sym.TypeSy type, Expression left, Expression right, sym.Label label, int position) {
       super(label,position);
       this.op = op; this.type = type; this.left = left; this.right = right;
   }
   public String toString(int indent) {
        return toString(indent, this, 
                        new Tree[]{left,right}, 
                        new String[]{"type"}, new sym.Symbol[]{type},
                        new String[]{"op","label"}, new String[]{lexer.Token.token2stringPrint(op),label.toString()}, 
                        position);
   }
}
