package tree;
public class MethodCall extends Tree {
   public sym.MethodSy symbol;          // Symbol table reference
   public sym.FormalSy self;            // Symbol table reference
   public Designator base;            // Child
   public Actual actuals;         // Child

   public MethodCall(sym.MethodSy symbol, sym.FormalSy self, Designator base, Actual actuals, int position) {
       super(position);
       this.symbol = symbol; this.self = self; this.base = base; this.actuals = actuals;
   }

   public String toString(int indent) {
        return toString(indent, this, 
                        new Tree[]{base,actuals}, 
                        new String[]{"symbol","self"}, new sym.Symbol[]{symbol, self},
                        new String[]{}, new String[]{}, 
                        position);
   }
}
